<?php


namespace Includes\model;

use Includes\baseClasses\KCAppModel;

class KCPatientReport extends KCAppModel
{

    public function __construct()
    {
        parent::__construct('patient_medical_report');
    }

    public function report_view($data)
    {
        $output = $this->get_by(
            array('patient_id' => $data['patient_id']),
            '=',
            false,
            array(
                'orderBy' => array('by' => 'date', 'order' => 'DESC'),
                'limit' => $data['limit'], 'offset' => $data['offset']
            )
        );
        
        if ($output == false)
            return false;

        return array_map(function ($item) {
            $upload_report = wp_get_attachment_url((int)$item->upload_report);
            if(!$upload_report){
                $upload_report = null;
            }
            $item->id = (int)$item->id;
            $item->name = $item->name;
            $item->patient_id = (int)$item->patient_id;
            $item->upload_report = $upload_report;
            $item->date =  $item->date;
            return $item;
        }, $output);
    }


}
