<?php

namespace Includes\model;

use Includes\baseClasses\KCAppModel;
use TenQuality\WP\Database\QueryBuilder;

use TenQuality\WP\Database\Abstracts\DataModel;
use TenQuality\WP\Database\Traits\DataModelTrait;

class KCPatientReportModel extends DataModel
{

    use DataModelTrait;
    /**
     * Data table name in database (without prefix).
     * @var string
     */

    const TABLE = 'kc_patient_medical_report';
    /**
     * Data table name in database (without prefix).
     * @var string
     */
    protected $table = self::TABLE;
    protected $primary_key = 'id';

    protected function getReportLink()
    {
        $upload_report = wp_get_attachment_url((int)$this->upload_report);
        if (!$upload_report) {
            $upload_report = null;
        }
        return $upload_report;
    }

    public static function report_view($data)
    {
        $report_query = self::builder()
            ->select("*")
            ->where([
                'patient_id' => $data['patient_id']
            ]);

        $date_format =  kivicareConvertMomentFormatToPhp(get_option(KIVI_CARE_PREFIX . 'date_format',"D-MM-YYYY"));
        return  [
            "total" =>  $report_query->count(),
            "data" => $report_query
                ->limit($data['limit'])
                ->order_by("date", "DESC")
                ->get(OBJECT, function ($row) use ($date_format) {
                    $row->id = (int)$row->id;
                    $row->patient_id = (int)$row->patient_id;
                    $upload_report = wp_get_attachment_url((int)$row->upload_report);
                    if (!$upload_report) {
                        $upload_report = null;
                    }
                    $row->upload_report = $upload_report;
                    $row->report_date = $row->date;
                    $row->date = kc_wp_date($date_format, strtotime($row->date));;

                    return $row;
                })
        ];
    }
}
