<?php

namespace Includes\model;

use TenQuality\WP\Database\Abstracts\DataModel;
use TenQuality\WP\Database\Traits\DataModelTrait;
use WP_REST_Request;
use WP_REST_Response;

class KCTaxModel extends DataModel
{

    use DataModelTrait;
    /**
     * Data table name in database (without prefix).
     * @var string
     */

    const TABLE = 'kc_taxes';
    /**
     * Data table name in database (without prefix).
     * @var string
     */
    protected $table = self::TABLE;
    protected $primary_key = 'id';


    public  static function get_tax($args)
    {
        $visit_type = $args['visit_type'];
        $service_ids = collect($args['service_id'])->implode(',');
        // get service charges and sum of it base on quantity
        $service_mapping_ids=[];
        $charges = KCServiceDoctorMappingModel::builder()->select("`charges`,`id`,`service_id`")->where([
            'raw' => "`id` IN ({$service_ids})",
        ])->get(OBJECT, function ($row) use ($visit_type,&$service_mapping_ids) {
            $service_mapping_ids []= $row->service_id;
            $key = array_search($row->id, array_column($visit_type, 'id'));
            return $visit_type[$key]['quantity'] * $row->charges;
        });
        $args['total_charge'] = array_sum($charges);
        // Get Serices From pro Plugin
        $args['service_id']= $service_mapping_ids;
        $get_taxes = apply_filters('kivicare_calculate_tax', [], $args);

        // check is there kivicare pro in not active
        if (empty($get_taxes)) {
            return false;
        }

        $get_taxes['total_amount'] = array_sum($charges);
        return $get_taxes;
    }
}
