<?php
function kc_get_wishlist_items($items)
{
    $wishlist_items = [];
    global $yith_wcwl;

    foreach ($items as $wishlis_item) {

        if ($wishlis_item) {
            $item = $wishlis_item->get_data();
            $products = wc_get_product($item['product_id']);


            if (!$products || $products->status != 'publish') continue;

            $datarray = [
                'pro_id'            => $products->get_id(),
                'name'              => $products->get_name(),
                'sku'               => $products->get_sku(),
                'pro_type'          => $products->get_type(),
                'price'             => $products->get_price(),
                'regular_price'     => $products->get_regular_price(),
                'sale_price'        => $products->get_sale_price(),
                'stock_quantity'    => $products->get_stock_quantity(),
                'in_stock'          => $products->is_in_stock(),
                'is_added_wishlist' => false,
                'is_added_cart' =>  kc_is_product_in_cart($products->get_id()),
            ];

            if (isset($yith_wcwl))
                $datarray['is_added_wishlist'] = $yith_wcwl->is_product_in_wishlist($products->get_id());


            $thumb = wp_get_attachment_image_src($products->get_image_id(), "thumbnail");
            $full = wp_get_attachment_image_src($products->get_image_id(), "full");

            $datarray['thumbnail'] = !empty($thumb) ? $thumb[0] : null;
            $datarray['full'] = !empty($full) ? $full[0] : null;

            $gallery = array();
            foreach ($products->get_gallery_image_ids() as $img_id) {
                $g = wp_get_attachment_image_src($img_id, "full");
                $gallery[] = $g[0];
            }
            $datarray['gallery'] = $gallery;
            $gallery = array();

            $datarray['created_at'] = date_i18n($item['date_added']);


            $wishlist_items[] = $datarray;
        }
    }
    return $wishlist_items;
}

function kc_is_product_in_cart($product_id, $variation_id = 0)
{
    return in_array($product_id, kc_get_cart_product_ids());
}
function kc_get_cart_product_ids()
{
    $cart_data = wc()->api->get_endpoint_data('/wc/store/v1/cart', [
        'consumer_key' => $_GET['consumer_key'],
        'consumer_secret' => $_GET['consumer_secret'],
    ]);
    if (!$cart_data) return [];

    if (!isset($cart_data['items']) || empty($cart_data['items'])) return [];

    $ids = [];
    foreach ($cart_data['items'] as $item) {
        $ids[] = $item['id'];
    }

    return $ids;
}

function kc_woo_generate_client_auth($app_name, $app_user_id, $scope)
{
    if (!is_plugin_active('woocommerce/woocommerce.php')) {
        return [
            'consumer_key'    => null,
            'consumer_secret' => null,
        ];
    }
    global $wpdb;
    $wpdb->delete($wpdb->prefix . 'woocommerce_api_keys', ['user_id'         => $app_user_id]);

    $description = sprintf(
        '%s - API (%s)',
        wc_trim_string(wc_clean($app_name), 170),
        gmdate('Y-m-d H:i:s')
    );
    $user        = wp_get_current_user();

    // Created API keys.
    $permissions     = in_array($scope, array('read', 'write', 'read_write'), true) ? sanitize_text_field($scope) : 'read';
    $consumer_key    = 'ck_' . wc_rand_hash();
    $consumer_secret = 'cs_' . wc_rand_hash();

    $wpdb->insert(
        $wpdb->prefix . 'woocommerce_api_keys',
        array(
            'user_id'         => $user->ID,
            'description'     => $description,
            'permissions'     => $permissions,
            'consumer_key'    => wc_api_hash($consumer_key),
            'consumer_secret' => $consumer_secret,
            'truncated_key'   => substr($consumer_key, -7),
        ),
        array(
            '%d',
            '%s',
            '%s',
            '%s',
            '%s',
            '%s',
        )
    );

    return array(
        'key_id'          => $wpdb->insert_id,
        'user_id'         => $app_user_id,
        'consumer_key'    => $consumer_key,
        'consumer_secret' => $consumer_secret,
        'key_permissions' => $permissions,
    );
}
