import 'package:kivicare_flutter/main.dart';
import 'package:kivicare_flutter/model/configuration_model.dart';
import 'package:kivicare_flutter/network/network_utils.dart';
import 'package:kivicare_flutter/utils/constants.dart';
import 'package:kivicare_flutter/utils/images.dart';
import 'package:nb_utils/nb_utils.dart';

//region Google Calender

Future<void> getConfigurationAPI() async {
  ConfigurationModel value = ConfigurationModel.fromJson(await (handleResponse(await buildHttpResponse(ApiEndPoints.getConfigurationEndPoint))));
  appStore.setUserProEnabled(value.isKiviCareProOnName.validate(), initialize: true);
  appStore.setGlobalDateFormat(value.globalDateFormat.validate(), initialize: true);
  appStore.setGlobalUTC(value.utc.validate());
  appStore.setRestrictAppointmentPost(value.restrictAppointment!.post.validate(value: '365').toInt(), initialize: true);
  appStore.setRestrictAppointmentPre(value.restrictAppointment!.pre.validate().toInt(), initialize: true);
  if (value.paymentMethod != null) {
    paymentMethodList.clear();
    paymentMethodImages.clear();
    paymentModeList.clear();

    if (value.paymentMethod!.paymentRazorpay.validate().isNotEmpty) {
      appStore.setRazorPay(true);
      appStore.setRazorPayMethod(value.paymentMethod!.paymentRazorpay.validate());
      paymentMethodList.add(appStore.paymentRazorpay);
      paymentMethodImages.add(ic_razorpay);
      paymentModeList.add(PAYMENT_RAZORPAY);
    }
    if (value.paymentMethod!.paymentWoocommerce.validate().isNotEmpty) {
      appStore.setWoocommerce(true);
      appStore.setWoocommerceMethod(value.paymentMethod!.paymentWoocommerce.validate());
      paymentMethodList.add(appStore.paymentWoocommerce);
      paymentMethodImages.add(ic_wooCommerce);
      paymentModeList.add(PAYMENT_WOOCOMMERCE);
    }
    if (value.paymentMethod!.paymentOffline.validate().isNotEmpty) {
      appStore.setOffLinePayment(true);
      appStore.setOffLinePaymentMethod(value.paymentMethod!.paymentOffline.validate());
      paymentMethodList.add(appStore.paymentOffline);
      paymentMethodImages.add(ic_payOffline);
      paymentModeList.add(PAYMENT_OFFLINE);
    }
  }
}

//endregion
